#ifndef H_opc_asm
#define H_opc_asm

#include "opc_fields.h"
#include "opc_regs.h"

#define ASM_R0    0
#define ASM_R1    1
#define ASM_SP    1
#define ASM_R2    2
#define ASM_TOC   2
#define ASM_R3    3
#define ASM_R4    4
#define ASM_R5    5
#define ASM_R6    6
#define ASM_R7    7
#define ASM_R8    8
#define ASM_R9    9
#define ASM_R10  10
#define ASM_R11  11
#define ASM_R12  12
#define ASM_R13  13
#define ASM_R14  14
#define ASM_R15  15
#define ASM_R16  16
#define ASM_R17  17
#define ASM_R18  18
#define ASM_R19  19
#define ASM_R20  20
#define ASM_R21  21
#define ASM_R22  22
#define ASM_R23  23
#define ASM_R24  24
#define ASM_R25  25
#define ASM_R26  26
#define ASM_R27  27
#define ASM_R28  28
#define ASM_R29  29
#define ASM_R30  30
#define ASM_R31  31

#define ASM_XER   1
#define ASM_LR    8
#define ASM_CTR   9

#define ASM_F0    0
#define ASM_F1    1
#define ASM_F2    2
#define ASM_F3    3
#define ASM_F4    4
#define ASM_F5    5
#define ASM_F6    6
#define ASM_F7    7
#define ASM_F8    8
#define ASM_F9    9
#define ASM_F10  10
#define ASM_F11  11
#define ASM_F12  12
#define ASM_F13  13
#define ASM_F14  14
#define ASM_F15  15
#define ASM_F16  16
#define ASM_F17  17
#define ASM_F18  18
#define ASM_F19  19
#define ASM_F20  20
#define ASM_F21  21
#define ASM_F22  22
#define ASM_F23  23
#define ASM_F24  24
#define ASM_F25  25
#define ASM_F26  26
#define ASM_F27  27
#define ASM_F28  28
#define ASM_F29  29
#define ASM_F30  30
#define ASM_F31  31

#include "opc_asm.gen"

#endif
