#ifndef H_strhash
#define H_strhash

#include "strhash-private.h"

struct strhash *	make_strhash(unsigned size);
void			destroy_strhash(struct strhash * tbl);
unsigned		hash_strhash(const char * str);
int			is_in_strhash(struct strhash * tbl, const char *  str);
unsigned		get_strhash(struct strhash * tbl, const char *  str);
int			update_strhash(struct strhash * tbl, const char *  str, unsigned  val);

#endif
