/*                                                                     
** COMPONENT_NAME: MET / Aria
**                                                                      
** Licensed Materials - Property of IBM                                  
**                                                                     
** IBM Confidential (IBM Confidential-Restricted when combined          
**                   with aggregated modules for this product)          
**                                                                     
**                                                                     
** OCO Source Materials                                                
**                                                                     
**                                                                     
** GA-0100 (C) Copyright IBM Corp. 1997                                 
**                                                                     
** US Government Users Restricted RIghts - Use, duplication or         
** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.   
**                                                                     
** The source code for this program is not published or otherwise      
** divested of its trade secrets, irrespective of what has been        
** deposited within the U.S. Copyright Office.                         
**                                                                     
*/


 
/*******************************************************************
  PROGRAM NAME..... analyze_lwarx_stwcx.h
  FUNCTION ........ Forward declaration of the do_lwarx_stwcx_translation
     routine, which converts lwarx-stwcx. user basic blocks.

  NOTES............
  ASSUMPTIONS... None
  GLOBAL-VARS... None
  RESTRICTIONS.. None
  DEVIATIONS.... None
  PROGRAM TYPE..... C
  RETURN CODES..... None
  CALLED-ROUTINES.. None
  CALLED-BY........ None
  INCLUDED-BY...... analyze_lwarx_stwcx.c
  MACROS-USED...... None
  INCLUDES......... <see below>

  AUTHOR........... John-David Wellman, IBM Yorktown
  CREATION DATE.... July, 1997
  MODIFIED......... Who       Date      What
  
  ********************************************************************/

#ifndef ANALYZE_LWARX_STWCX_H
#define ANALYZE_LWARX_STWCX_H

unsigned * do_lwarx_stwcx_translation(unsigned   * next_prog_address_ptr,
				      hash_entry * the_hash_entry_ptr,
				      unsigned     generation
				      );
#endif

