/*                                                                     
** COMPONENT_NAME: MET / Aria
**                                                                      
** Licensed Materials - Property of IBM                                  
**                                                                     
** IBM Confidential (IBM Confidential-Restricted when combined          
**                   with aggregated modules for this product)          
**                                                                     
**                                                                     
** OCO Source Materials                                                
**                                                                     
**                                                                     
** GA-0100 (C) Copyright IBM Corp. 1997                               
**                                                                     
** US Government Users Restricted RIghts - Use, duplication or         
** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.   
**                                                                     
** The source code for this program is not published or otherwise      
** divested of its trade secrets, irrespective of what has been        
** deposited within the U.S. Copyright Office.                         
**                                                                     
*/

#ifndef ARIA_MAIN_H
#define ARIA_MAIN_H

int aria_main(int argc, char * argv[], char * envp, unsigned * user_stackp, caddr_t xlate_addr);

void print_usage(int argc, char * argv[]);

int  read_input_flags(int argc, char * argv[], int * user_posn, int * user_count, 
		      int * model_posn, int * model_count);


/** This is an IBM copyright statement **/

static char          legal_statement [24] [73] = {
  "/* \n",
  "** COMPONENT_NAME: MET / Aria                                         \n", 
  "**                                                                    \n", 
  "** Licensed Materials - Property of IBM                               \n",  
  "**                                                                    \n",
  "** IBM Confidential (IBM Confidential-Restricted when combined        \n", 
  "**                   with aggregated modules for this product)        \n", 
  "**                                                                    \n",
  "**                                                                    \n",
  "** OCO Source Materials                                               \n",
  "**                                                                    \n",
  "**                                                                    \n",
  "** GA-0100 (C) Copyright IBM Corp. 1997                               \n",
  "**                                                                    \n",
  "** US Government Users Restricted Rights - Use, duplication or        \n",
  "** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.  \n",
  "**                                                                    \n",
  "** The source code for this program is not published or otherwise     \n",
  "** divested of its trade secrets, irrespective of what has been       \n",
  "** deposited within the U.S. Copyright Office.                        \n",
  "**                                                                    \n",
  "** Copyright information in aria.copyright                            \n",
  "**                                                                    \n",
  "*/\n"
};

#endif
