/*                                                                     
** COMPONENT_NAME: MET / Aria
**                                                                      
** Licensed Materials - Property of IBM                                  
**                                                                     
** IBM Confidential (IBM Confidential-Restricted when combined          
**                   with aggregated modules for this product)          
**                                                                     
**                                                                     
** OCO Source Materials                                                
**                                                                     
**                                                                     
** GA-0100 (C) Copyright IBM Corp. 1997                                 
**                                                                     
** US Government Users Restricted RIghts - Use, duplication or         
** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.   
**                                                                     
** The source code for this program is not published or otherwise      
** divested of its trade secrets, irrespective of what has been        
** deposited within the U.S. Copyright Office.                         
**                                                                     
*/


 
/*******************************************************************
  PROGRAM NAME..... canned_code.h
  FUNCTION ........ Forward declarations of the canned code routines,
     canned_string_code and canned_multiple_code.

  NOTES............
  ASSUMPTIONS... None
  GLOBAL-VARS... None
  RESTRICTIONS.. None
  DEVIATIONS.... None
  PROGRAM TYPE..... C
  RETURN CODES..... None
  CALLED-ROUTINES.. None
  CALLED-BY........ None
  INCLUDED-BY...... do_translation.c
  MACROS-USED...... None
  INCLUDES......... <see below>

  AUTHOR........... John-David Wellman, IBM Yorktown
  CREATION DATE.... April, 1997
  MODIFIED......... Who       Date      What
  
  ********************************************************************/

#ifndef CANNED_CODE_H
#define CANNED_CODE_H

unsigned * 
insert_canned_string_code(use_def_data_type instr_info[], 
			  unsigned * original_bb_start_address,
			  unsigned * microtrace_buffer_address,
			  hash_entry * the_hash_entry_ptr
			  );


unsigned * 
insert_canned_multiple_code(use_def_data_type instr_info[], 
			    instruction_xlate_type instr_xlate_info[],
			    unsigned * original_bb_start_address,
			    unsigned * microtrace_buffer_address,
			    hash_entry * the_hash_entry_ptr
			    );
#endif
