/*                                                                     
** COMPONENT_NAME: MET / Aria
**                                                                      
** Licensed Materials - Property of IBM                                  
**                                                                     
** IBM Confidential (IBM Confidential-Restricted when combined          
**                   with aggregated modules for this product)          
**                                                                     
**                                                                     
** OCO Source Materials                                                
**                                                                     
**                                                                     
** GA-0100 (C) Copyright IBM Corp. 1997                                 
**                                                                     
** US Government Users Restricted RIghts - Use, duplication or         
** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.   
**                                                                     
** The source code for this program is not published or otherwise      
** divested of its trade secrets, irrespective of what has been        
** deposited within the U.S. Copyright Office.                         
**                                                                     
*/


 
/*******************************************************************
  PROGRAM NAME..... display_reg_usedef.h
  FUNCTION ........ Forward declaration of some routines to display 
      register use and definition information.  These routines are 
      primarily useful in the debugging of code translation.

  NOTES............
  ASSUMPTIONS... None
  GLOBAL-VARS... None
  RESTRICTIONS.. None
  DEVIATIONS.... None
  PROGRAM TYPE..... C
  RETURN CODES..... None
  CALLED-ROUTINES.. None
  CALLED-BY........ None
  INCLUDED-BY...... canned_multiple_code.c, canned_string_code.c, 
      display_reg_usedef.c, do_svc_translation.c, do_translation.c
  MACROS-USED...... None
  INCLUDES......... <see below>

  AUTHOR........... John-David Wellman, IBM Yorktown
  CREATION DATE.... April, 1997
  MODIFIED......... Who       Date      What
  
  ********************************************************************/
#ifndef DISPLAY_REG_USEDEF_H
#define DISPLAY_REG_USEDEF_H


void display_register_uses_and_defs(unsigned gpr_uses, unsigned fpr_uses, unsigned cr_uses, unsigned spr_uses,
				    unsigned gpr_defs, unsigned fpr_defs, unsigned cr_defs, unsigned spr_defs,
				    unsigned use_vectors[]);


void display_one_register_class_uses_and_defs(unsigned reg_uses, unsigned reg_defs);


#endif
