#include "posix_stdio.h"
#include "ansi_stdlib.h"
#include "insn_info.h"
#include "aria_reader.h"

FILE *	the_stderr = stderr;
int
main(	int argc,
	char * argv[]
	)
{
  aria_reader		_reader;
  aria_reader *		reader = &_reader;
  xinsn_info		info[0x10000];
  int			n;
  int			total;
  unsigned		min_pc = 0x00000000;
  unsigned		max_pc = 0xffffffff;
  unsigned		pc;
  unsigned		cumm;
  int			fdes;
  FILE *		file;

  fdes = dup(2);
  file = fdopen( fdes, "w" );

  aria_reader_setup(reader, min_pc, max_pc, &pc);

  total = 0;
  cumm = 0;
  do {
    n = aria_get_taken(reader, &pc, 0x10000, info);
    cumm += n;
    total += n;
    if( cumm > 0x100000 ) {
      fprintf(file, "read %d/%d\n", cumm, total);
      cumm = 0;
    }
  } while( n != 0 );


  fprintf(file, "total = %d\n", total );
}
