/* Mayan Moudgill November 1994
 */

#ifndef H_assert
#define H_assert

#include <assert.h>

// good thing this file doesn't get used on Linux, I guess
#if( NDEBUG )
  #define assert(ignore)    ((void)0)
  #define bounds(i,ignore)  (i)
#else
  #undef assert
  extern void	_assert(char *, char *, int);
  #define assert(EX) ((EX)? (void)0 :			        	\
      ( fprintf(the_stderr, "assert failed at cycle %d\n", cycle ),	\
	fflush(the_stderr),						\
	  _assert(# EX, __FILE__, __LINE__)))

#define bounds(i,bound) (assert(((unsigned)(i))<(bound)),(i))
#endif /* NDEBUG */

#endif
