#! /bin/bash
#
# test8c1s_fmm.sh
#
# Parallel program example: SPLASH-2's fmm running to completion
# with synchronization across 8 cores.

if [ ! -e /common/splash2 ]; then
	echo /common/splash2 not found. Remember this script is for use only in the parapet cluster.
else
	./gpffturandot -chipconf 1 1 1 1 1 1 1 1 \
		-sync -shared -autoinput -autooutput \
		-t /common/splash2/8t/thread_001.tt6e.bz2 \
    	-stderr fmm_8t.core0.out
fi
