
#ifndef H_OPC_IS_IMPLEMENTED_TYPES

#define H_OPC_IS_IMPLEMENTED_TYPES

#define OPC_POWER_IMPL    0x01
#define OPC_POWER2_IMPL   0x02
#define OPC_PPC601_IMPL   0x08

#define OPC_PPC_IMPL      0x18	/* All PPC instrs */
#define OPC_32PPC_IMPL    0x08	/* Only the 32-bit PPC Subset */

#define OPC_PPC603_IMPL   0x08	/* Only the 32-bit PPC Subset */
#define OPC_PPC604_IMPL   0x08	/* Only the 32-bit PPC Subset */
#define OPC_PPC620_IMPL   0x08	/* Only the 32-bit PPC Subset */
#define OPC_64PPC_IMPL    0x18	/* All PPC instrs */

#define OPC_AMAZON_IMPL   0x20

static int opc_implemented_flags[OPC_NUM_ISAs] = {0xff, 
						  OPC_PPC_IMPL, 
						  OPC_32PPC_IMPL, 
						  OPC_PPC601_IMPL, 
						  OPC_POWER_IMPL, 
						  OPC_POWER2_IMPL, 
						  OPC_AMAZON_IMPL
                                                 };

#endif
