#ifndef H_opc_memop
#define H_opc_memop

#define OPC_MEMOP_NOT		0
#define OPC_MEMOP_STORE		1
#define OPC_MEMOP_LOAD		2
#define OPC_MEMOP_CACHE		3

extern unsigned char opc_memop_tbl[];

unsigned char (opc_is_memop)(opc_idx idx);
#define opc_is_memop(idx)	(opc_memop_tbl[idx])

unsigned char (opc_is_memop_store)(opc_idx idx);
#define opc_is_memop_store(idx)	(opc_memop_tbl[idx] == OPC_MEMOP_STORE)

unsigned char (opc_is_memop_load)(opc_idx idx);
#define opc_is_memop_load(idx)	(opc_memop_tbl[idx] == OPC_MEMOP_LOAD)

unsigned char (opc_is_memop_cache)(opc_idx idx);
#define opc_is_memop_cache(idx)	(opc_memop_tbl[idx] == OPC_MEMOP_CACHE)

#endif
