#ifndef H_opc_private
#define H_opc_private

#include "opc.h"

extern char 	opc_tblreg_names[][8];
#define xxopc_reg_names(reg)	\
  (opc_tblreg_names[reg])

extern char *	opc_tbl_names[][OPC_NUM_ISAs];
#define xxopc_isa_names(_S,_idx) \
  (opc_tbl_names[_idx][_S])

extern short 	opc_tbl_extended_op[];
#define xxopc_extended_op(inst)	\
  ((int)opc_tbl_extended_op[opc_index(inst)])

extern char	opc_tbl_dlength[];
#define xxopc_dlength(inst)	\
((int)((opc_tbl_dlength[inst] <= OPC_DLENGTH_MAX_PRESET_LENGTH)\
       ? opc_tbl_dlength[inst] : 0))


#define OPC_OTHERS_ISA_SET   0
#define OPC_AMAZON_ISA_SET   1
#define OPC_NUM_ISA_SETS     2

#define OPC_TBL_SIZE      8400

extern unsigned short	opc_tblidx_mask[];
extern unsigned short	opc_tblidx_init[];
extern unsigned short	opc_tblidx_index[OPC_NUM_ISA_SETS][OPC_TBL_SIZE];

#define xxopc_index(iword)	\
  ( opc_tblidx_index[(opc_the_current_active_isa == OPC_AMAZON_ISA)][ \
      opc_tblidx_init[((unsigned)(iword))>>26] + \
      ( (iword) & opc_tblidx_mask[((unsigned)(iword))>>26] ) ] )

#define xxopc_ISA_index(iword,isa)	\
  ( opc_tblidx_index[(isa == OPC_AMAZON_ISA)][ \
      opc_tblidx_init[((unsigned)(iword))>>26] + \
      ( (iword) & opc_tblidx_mask[((unsigned)(iword))>>26] ) ] )

#endif
