#ifndef H_strhash_private
#define H_strhash_private

struct strhash_cell {
  struct strhash_cell *	next;
  unsigned		hash;
  unsigned		value;
  char 			str[1];
};

#define deref_strhash_cell(c)	(c)
#define next_strhash_cell(c)	(deref_strhash_cell(c)->next)
#define hash_strhash_cell(c)	(deref_strhash_cell(c)->hash)
#define str_strhash_cell(c)	(deref_strhash_cell(c)->str)
#define value_strhash_cell(c)	(deref_strhash_cell(c)->value)

struct strhash {
  unsigned		size;
  unsigned		mask;
  struct strhash_cell *	cells[1];
};

#define deref_strhash(c)	(c)
#define size_strhash(c)	(deref_strhash_cell(c)->size)
#define mask_strhash(c)	(deref_strhash_cell(c)->mask)
#define cells_strhash(c)	(deref_strhash_cell(c)->cells)

#endif
