#define ADD_XLATE_HEADER


#ifdef ADD_XLATE_HEADER
  /** Enter a header for this BB translation **/
  {
    unsigned * ta_ptr = next_xlate_address;
    unsigned hword_1 = (unsigned)original_bb_start_address;

    unsigned hword_2 = (global_bb_executions+1);

    unsigned hword_3 = 0x0;

    unsigned hword_4 = (unsigned)microtrace_buffer_address;

    hword_3 |= 0x7f000000 & ((total_instr_in_bb)<<24);
    hword_3 |= 0x00ffffff & ((global_bb_index+1));

    /* Add a temporary separator */
    *next_xlate_address = 0x08800880;      next_xlate_address++;

    /* Output the xlation header */
    *next_xlate_address = hword_1;         next_xlate_address++;
    *next_xlate_address = hword_2;         next_xlate_address++;
    *next_xlate_address = hword_3;         next_xlate_address++;
    *next_xlate_address = hword_4;         next_xlate_address++;

    /* Add a temporary separator */
    *next_xlate_address = 0x08800880;      next_xlate_address++;

    if (do_no_output_during_runs == 0) {
      warn_xlate("\nThe basic block header is:\n");
      warn_xlate("\t0x%08x  %08x\n", ta_ptr, *ta_ptr);  ta_ptr++;
      warn_xlate("\t0x%08x  %08x\n", ta_ptr, *ta_ptr);  ta_ptr++;
      warn_xlate("\t0x%08x  %08x\n", ta_ptr, *ta_ptr);  ta_ptr++;
      warn_xlate("\t0x%08x  %08x\n", ta_ptr, *ta_ptr);  ta_ptr++;
      warn_xlate("\t0x%08x  %08x\n", ta_ptr, *ta_ptr);  ta_ptr++;
    }
  }
#endif
