

#ifdef DO_64_BIT_COMPILE

#define LOAD_REG(x,y,z)     OPC_ASM_LD((x), (y), (z))
#define LOAD_REG_X(x,y,z)   OPC_ASM_LDX((x), (y), (z))
#define STORE_REG(x,y,z)    OPC_ASM_STD((x), (y), (z))
#define STORE_REG_X(x,y,z)  OPC_ASM_STDX((x), (y), (z))

#else

#define LOAD_REG(x,y,z)     OPC_ASM_LWZ((x), (y), (z))
#define LOAD_REG_X(x,y,z)   OPC_ASM_LWZX((x), (y), (z))
#define STORE_REG(x,y,z)    OPC_ASM_STW((x), (y), (z))
#define STORE_REG_X(x,y,z)  OPC_ASM_STWX((x), (y), (z))

#endif

