
#ifndef TRANSLATION_MACROS_H
#define TRANSLATION_MACROS_H

#define TAKEN_XLATE      1
#define NOT_TAKEN_XLATE  2

/** MACROS used to shorthand some pieces of code **/

#define UPDATE_TOTAL_BLOCK_USE_DEF_TOUCH_VECTORS \
	  the_full_block.use_vectors[0]   |= the_instr_reg_data[total_instr_in_bb].use_vectors[0]; \
	  the_full_block.def_vectors[0]   |= the_instr_reg_data[total_instr_in_bb].def_vectors[0]; \
	  the_full_block.use_vectors[1]   |= the_instr_reg_data[total_instr_in_bb].use_vectors[1]; \
	  the_full_block.def_vectors[1]   |= the_instr_reg_data[total_instr_in_bb].def_vectors[1]; \
	  the_full_block.use_vectors[2]   |= the_instr_reg_data[total_instr_in_bb].use_vectors[2]; \
	  the_full_block.def_vectors[2]   |= the_instr_reg_data[total_instr_in_bb].def_vectors[2]; \
	  the_full_block.use_vectors[3]   |= the_instr_reg_data[total_instr_in_bb].use_vectors[3]; \
	  the_full_block.def_vectors[3]   |= the_instr_reg_data[total_instr_in_bb].def_vectors[3]; \
	  the_full_block.touch_vectors[0] |= the_instr_reg_data[total_instr_in_bb].touch_vectors[0]; \
	  the_full_block.touch_vectors[1] |= the_instr_reg_data[total_instr_in_bb].touch_vectors[1]; \
	  the_full_block.touch_vectors[2] |= the_instr_reg_data[total_instr_in_bb].touch_vectors[2]; \
	  the_full_block.touch_vectors[3] |= the_instr_reg_data[total_instr_in_bb].touch_vectors[3]


#define CLEAR_FULL_BLOCK_USE_DEF_TOUCH_VECTORS \
          the_full_block.use_vectors[0]   = 0; \
          the_full_block.use_vectors[1]   = 0; \
          the_full_block.use_vectors[2]   = 0; \
          the_full_block.use_vectors[3]   = 0; \
          the_full_block.def_vectors[0]   = 0; \
          the_full_block.def_vectors[1]   = 0; \
          the_full_block.def_vectors[2]   = 0; \
          the_full_block.def_vectors[3]   = 0; \
          the_full_block.touch_vectors[0] = 0; \
          the_full_block.touch_vectors[1] = 0; \
          the_full_block.touch_vectors[2] = 0; \
          the_full_block.touch_vectors[3] = 0


/* Positions we can use on the stack when in need of a temp storage spot */
#define SAFE_TEMP_1   -200
#define SAFE_TEMP_2   -204


#endif
