#include <stdlib.h>
#include <stdio.h>
#include "insn_info.h"
#include "trace_ffreader.h"
#include "trace_decompress.h"
#include "opc.h" // to declare opc_init()

int
main(	int argc,
	char * argv[]
	)
{
  trace_ffreader	_reader;
  trace_ffreader *	reader = &_reader;
  xinsn_info		info[1024];
  int			n;
  int			i;
  int			total;
  FILE			*fp = stdin;


  if( argc != 1 ) {
    fp = trace_open(argv[1], "rb");
    if (fp == NULL) return EXIT_FAILURE;	  	
  }

  opc_init();

  trace_ffreader_setup(reader, fp);
  
  fprintf(stderr, "starting read\n");

  total = 0;
  while( 1 ) {
    for( i = 0; i < 1024; i++ ) {
      n = trace_ffreader_fill(reader, 1024, info);
      if( n == 0 ) {
	goto done;
      }
      total += n;
    }
    fprintf(stderr, "read %d\n", total);
  }
  

done:;
  fclose(fp);
  fprintf(stderr, "total = %d\n", total );
  return EXIT_SUCCESS; // jdonald
}
