#ifndef TRACE_DECOMPRESS_H
#include <stdio.h>

// define USE_BZLIB // set in Makefile.defs -jdonald

#ifdef USE_ZLIB
#include "zlib.h"
#endif

#ifdef USE_BZLIB
#include <bzlib.h>
#endif

FILE* trace_open(char *fname, char *type);
int trace_close(FILE* stream); // jdonald
int trace_read(void *buf, size_t elem_size, 
	       size_t elem_count, FILE *stream);

#endif
