#ifndef H_reader_prep_info
#define H_reader_prep_info

#include <stdio.h>

typedef struct xreader_prep_info xreader_prep_info;

enum xreader_prep_info_kind {
  xreader_prep_info_is_unknown,
  xreader_prep_info_is_branch,
  xreader_prep_info_is_brcond,
  xreader_prep_info_is_brabs,
  xreader_prep_info_is_brreg,
  xreader_prep_info_is_memop,
  xreader_prep_info_is_other
};

extern char * xreader_prep_info_kind_name[];

struct xreader_prep_info {
  unsigned		iword;
  unsigned		kind;
};

#define xreader_prep_info_kind(p)	\
	((p).kind)
#define xreader_prep_info_iword(p)	\
	((p).iword)

int read_reader_prep(FILE * fp,
	unsigned * p_first_addr,
	unsigned * p_min_addr,
	unsigned * p_text_size,
	xreader_prep_info ** p_info);

int write_reader_prep(FILE * fp,
	unsigned first_addr,
	unsigned max_addr,
	unsigned text_size,
	xreader_prep_info * info);
#endif
