#! /bin/bash
#
# test8c2s_spec2k.sh
#
# SPEC 2000 example: 8-core processor with 2-way SMT
# only 1,000,000 instructions for the longest running thread

if [ ! -e /common/spec2k ]; then
	echo /common/spec2k not found. Remember this script is for use only in the parapet cluster.
else
	./gpffturandot -c 1000000 -chipconf 2 2 2 2 2 2 2 2 \
		-t /common/spec2k/ammp.fF.bz2 \
		   /common/spec2k/bzip2.fF.bz2 \
		   /common/spec2k/eon.fF.bz2 \
		   /common/spec2k/galgel.fF.bz2 \
		   /common/spec2k/gzip.fF.bz2 \
		   /common/spec2k/mesa.fF.bz2 \
		   /common/spec2k/perlbmk.fF.bz2 \
		   /common/spec2k/swim.fF.bz2 \
		   /common/spec2k/sixtrack.fF.bz2 \
		   /common/spec2k/facerec.fF.bz2 \
		   /common/spec2k/crafty.fF.bz2 \
		   /common/spec2k/twolf.fF.bz2 \
		   /common/spec2k/lucas.fF.bz2 \
		   /common/spec2k/mgrid.fF.bz2 \
		   /common/spec2k/ammp.fF.bz2 \
		   /common/spec2k/bzip2.fF.bz2 \
		-stderr test1.out test2.out test3.out test4.out \
				test5.out test6.out test7.out test8.out
fi
